Create minio systemd service:
  file.managed:
    - name: /etc/systemd/system/minio.service
    - source: salt://minio/files/minio.service.jinja
    - template: jinja
    - user: root
    - group: root
    - mode: "0660"

SystemD daemon reload:
  cmd.run:
    - name: systemctl --system daemon-reload
    - onchanges:
      - file: Create minio systemd service

start MinIO:
  service.running:
    - name: minio.service
    - onchanges:
      - cmd: SystemD daemon reload
